[tex4ht-commits] [SCM] tex4ht updated: r1314 - trunk/lit

Karl Berry INVALID.NOREPLY at gnu.org.ua
Sun Apr 2 17:01:40 CEST 2023


Author: karl
Date: 2023-04-02 15:01:40 +0000 (Sun, 02 Apr 2023)
New Revision: 1314

Modified:
   trunk/lit/tex4ht-4ht.tex
   trunk/lit/tex4ht-unicode.tex
   trunk/lit/update-htfonts
Log:
copyright 2023

Modified: trunk/lit/tex4ht-4ht.tex
===================================================================
--- trunk/lit/tex4ht-4ht.tex	2023-03-28 11:14:33 UTC (rev 1313)
+++ trunk/lit/tex4ht-4ht.tex	2023-04-02 15:01:40 UTC (rev 1314)
@@ -930,7 +930,7 @@
 
 \<titlesec-hooks.4ht\><<<
 % titlesec-hooks.4ht (|version), generated from |jobname.tex
-% Copyright 2022 TeX Users Group
+% Copyright 2022-2023 TeX Users Group
 |<TeX4ht license text|>
 |<titlesec-packagehooks|>
 \endinput
@@ -16394,9 +16394,7 @@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
 \<memhfixc.4ht\><<<
-%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%  
 % memhfixc.4ht (|version), generated from |jobname.tex 
-% Copyright 2023 TeX Users Group
 |<TeX4ht copyright|>
 |<memhfixc nameref|>
 \Hinput{memhfixc}

Modified: trunk/lit/tex4ht-unicode.tex
===================================================================
--- trunk/lit/tex4ht-unicode.tex	2023-03-28 11:14:33 UTC (rev 1313)
+++ trunk/lit/tex4ht-unicode.tex	2023-04-02 15:01:40 UTC (rev 1314)
@@ -1,7 +1,7 @@
 % $Id$
 % latex tex4ht-unicode   or   xhlatex tex4ht-unicode "html,3,sections+"
 %
-% Copyright 2009-2022 TeX Users Group
+% Copyright 2009-2023 TeX Users Group
 % Copyright 1998-2009 Eitan M. Gurari
 % Released under LPPL 1.3c+.
 % See tex4ht-cpright.tex for license text.
@@ -227,7 +227,7 @@
 
 \<unicode\><<<
 % unicode.4ht (|version), generated from |jobname.tex
-% Copyright 2009-2022 TeX Users Group
+% Copyright 2009-2023 TeX Users Group
 % Copyright |CopyYear.1998. Eitan M. Gurari
 |<TeX4ht copywrite|>
 >>>

Modified: trunk/lit/update-htfonts
===================================================================
--- trunk/lit/update-htfonts	2023-03-28 11:14:33 UTC (rev 1313)
+++ trunk/lit/update-htfonts	2023-04-02 15:01:40 UTC (rev 1314)
@@ -1,5 +1,6 @@
 #!/bin/sh
 # $Id$
+# Update TeX4ht font files (.htf). See ./Makefile for invocations.
 # Public domain. Originally written by Karl Berry, 2022.
 
 # don't bother with real option parsing.
@@ -34,7 +35,8 @@
 devdir=$1
 instdir=$2
 verbose=true
-tmp=/tmp/htdif # prefix
+tmpdir=/tmp/htdif.d # prefix
+rm -rf $tmpdir; mkdir $tmpdir
 
 if test ! -d "$devdir"; then
   echo "$0: devdir not a directory: $devdir" >&2
@@ -66,8 +68,8 @@
 htf_same () {
   src=$1; dest=$2;
   #
-  src_filtered=$tmp.s`basename "$src"`
-  dest_filtered=$tmp.d`basename "$dest"`
+  src_filtered=$tmpdir/s`basename "$src"`
+  dest_filtered=$tmpdir/d`basename "$dest"`
   #
   sed 's/20[0-9][0-9]-[0-9][0-9]-[0-9][0-9]\(-[0-9][0-9]:[0-9][0-9]\)*//' \
       $src >$src_filtered || exit 1
@@ -79,7 +81,7 @@
 # 
 Iterate through all files in the dev directory.
 echo "$prg: comparing $devdir"
 echo "$prg:        to $instdir"
->$tmp.0 # accumulate diffs here
+>$tmpdir/0 # accumulate diffs here
 #
 find "$devdir" -type f -print | sort | while read devf; do
   instf=`echo "$devf" | sed "s,^$devdir/,$instdir/,"`
@@ -93,7 +95,7 @@
     else
       $verbose && echo "`basename \"$devf\"`: diff ($devf != $instf)"
       # save diff from (older) DEST to newer (SRC).
-      diff -u0 "$dest" "$src" >>$tmp.0
+      diff -u0 "$dest" "$src" >>$tmpdir/0
       #
       copy_file "$devf" "$instf"
     fi
@@ -122,14 +124,14 @@
 done
 
 # 
 check for extra files in $instdir
-(cd "$devdir" && find . -type f -print | sort) >$tmp.devdir || exit 1
-(cd "$instdir" && find . -type f -print | sort) >$tmp.instdir || exit 1
+(cd "$devdir" && find . -type f -print | sort) >$tmpdir/devdir || exit 1
+(cd "$instdir" && find . -type f -print | sort) >$tmpdir/instdir || exit 1
 
 echo "$prg: files in devdir and not in instdir (should be empty):"
-comm -23 $tmp.devdir $tmp.instdir
+comm -23 $tmpdir/devdir $tmpdir/instdir
 
 echo "$prg: files in instdir and not in devdir (you should remove):"
-comm -13 $tmp.devdir $tmp.instdir
+comm -13 $tmpdir/devdir $tmpdir/instdir
 # maybe better to leave it for manual removal?
 
 echo "$prg: done."



More information about the tex4ht-commits mailing list.